OFCTL(8) | System Manager's Manual | OFCTL(8)

# NAME

ofctl — display the OpenPROM or OpenFirmware device tree

# SYNOPSIS

ofctl | [-lp] [-f file] [-r propfile] [-w propfile] [node]

# DESCRIPTION

ofctl provides an interface for displaying the OpenPROM or OpenFirmware device tree and node properties. The ofctl program is only installed on supported platforms.
Without any arguments, ofctl will dump the full tree. When given the name of a specific node, ofctl will display that node and its child nodes.
The options are as follows:

-f file
  On systems with OpenPROM, use file instead of the default /dev/openprom. On systems with OpenFirmware, use file instead of the default /dev/openfirm.
-l
  Dump a partial tree starting from node.
-p
  Display each node's properties.
-r propfile
  Instead of reading from the openprom or openfirm device, use the proplib file propfile as input. See also -w.
-w propfile
  Write the device tree to the proplib file propfile. See also -r.

# FILES

/dev/openprom
  The openprom device on systems with OpenPROM.
/dev/openfirm
  The openfirm device on systems with OpenFirmware.

# SEE ALSO

eeprom(8)

June 18, 2018 | NetBSD 8.1